Package org.apache.sling.testing.junit.rules

## Class TestStickyCookieRule

- java.lang.Object
- - org.apache.sling.testing.junit.rules.TestStickyCookieRule

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class TestStickyCookieRule
    extends Object
    implements org.junit.rules.TestRule

### Constructor Summary

Constructors
`TestStickyCookieRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`
`protected void` `finished​(org.junit.runner.Description description)`
`protected void` `starting​(org.junit.runner.Description description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestStickyCookieRule

    public TestStickyCookieRule()

### Method Detail

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)

Specified by:
  `apply` in interface `org.junit.rules.TestRule`

#### starting

    protected void starting​(org.junit.runner.Description description)

#### finished

    protected void finished​(org.junit.runner.Description description)